libxv1_1.0.11-1_amd64.deb


Advertisement

Description

libxv1 - X11 Video extension library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name libxv1
Package version 1.0.11
Package release 1
Package architecture amd64
Package type deb
Installed size 36 B
Download size 10.45 KB
Official Mirror archive.ubuntu.com
libXv provides an X Window System client interface to the XVideo
extension to the X protocol.
The XVideo extension allows for accelerated drawing of videos.  Hardware
adaptors are exposed to clients, which may draw in a number of colourspaces,
including YUV.
More information about X.Org can be found at:
<URL:https://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libXv

Alternatives

Package Version Architecture Repository
libxv1_1.0.11-1_i386.deb 1.0.11 i386 Ubuntu Main
libxv1 - - -

Requires

Name Value
libc6 >= 2.14
libx11-6 >= 2:1.6.0
libxext6 -

Download

Type URL
Binary Package libxv1_1.0.11-1_amd64.deb
Source Package libxv

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxv1 deb package:
    # sudo apt-get install libxv1

Files

Path
/usr/lib/x86_64-linux-gnu/libXv.so.1
/usr/lib/x86_64-linux-gnu/libXv.so.1.0.0
/usr/share/doc/libxv1/changelog.Debian.gz
/usr/share/doc/libxv1/copyright

Changelog

2016-12-05 - Emilio Pozuelo Monfort <pochu@debian.org>
libxv (2:1.0.11-1) unstable; urgency=medium
[ Andreas Boll ]
* New upstream release.
- Fixes CVE-2016-5407 (Closes: #840438).
* Let uscan verify tarball signatures.
* Update a bunch of URLs in packaging to https.
* Add placeholder comment into series file.
* Remove obsolete Conflicts/Replaces from pre-wheezy.
[ Emilio Pozuelo Monfort ]
* Bump debhelper compat to 10.
* Switch from xsfbs to dh.
* Switch to -dbgsym.
* Drop unneeded automake and libtool build-dependencies; debhelper
depends on them for us now and calls dh_autoreconf.
* Bump Standards-Version to 3.9.8, no changes.
2014-01-20 - Julien Cristau <jcristau@debian.org>
libxv (2:1.0.10-1) unstable; urgency=medium
* New upstream release.
* Remove Cyril Brulebois from Uploaders.
2013-08-12 - Julien Cristau <jcristau@debian.org>
libxv (2:1.0.9-1) unstable; urgency=low
* New upstream release.
* Bump debhelper compat level to 7.
* Disable silent build rules.
* Use dpkg-buildflags.
* Use dh_prep instead of dh_clean -k.
2013-05-14 - Julien Cristau <jcristau@debian.org>
libxv (2:1.0.7-1+deb7u1) wheezy-security; urgency=high
* integer overflows calculating memory needs for replies [CVE-2013-1989]
* buffer overflow in XvQueryPortAttributes() [CVE-2013-2066]
2012-04-24 - Julien Cristau <jcristau@debian.org>
libxv (2:1.0.7-1) unstable; urgency=low
[ Robert Hooker ]
* New upstream release.
[ Julien Cristau ]
* Drop dh_testroot from debian/rules clean.
* Remove David and Andres from Uploaders.
2011-08-11 - Steve Langasek <vorlon@debian.org>
libxv (2:1.0.6-2) unstable; urgency=low
* Build for multiarch.
2010-11-08 - Cyril Brulebois <kibi@debian.org>
libxv (2:1.0.6-1) unstable; urgency=low
[ Julien Cristau ]
* Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
good reason.  Thanks, Colin Watson!
* Remove myself from Uploaders
[ Cyril Brulebois ]
* New upstream release.
* Bump xutils-dev build-dep for new macros.
* Switch from --list-missing to --fail-missing for additional safety.
* Pass --exclude=libXv.la accordingly.
* Add myself to Uploaders.
2009-11-25 - Julien Cristau <jcristau@debian.org>
libxv (2:1.0.5-1) unstable; urgency=low
[ Brice Goglin ]
* Add a link to www.X.org and a reference to the upstream module
in the long description.
* Add upstream URL to debian/copyright.
* Add README.source, bump Standards-Version to 3.8.2.
* Use updated xsfbs, closes: #538591.
* Move -dbg package to section debug.
[ Timo Aaltonen ]
* New upstream release.
* Run autoreconf on build. Add build-deps on automake, libtool and
xutils-dev.
* Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
* Drop Pre-Depends on x11-common from libxv-dev. This was needed for
upgrades from sarge.
[ Julien Cristau ]
* Bump Standards-Version to 3.8.3.
2008-03-21 - Julien Cristau <jcristau@debian.org>
libxv (2:1.0.4-1) unstable; urgency=low
[ Timo Aaltonen ]
* Bump the epoch so that this can be synced to Ubuntu in the future.
[ Julien Cristau ]
* New upstream release.
* Remove Branden from Uploaders with his permission and add myself.
* Bump Standards-Version to 3.7.3.
* Don't build-depend on packages with a -1 debian revision.
* Drop the XS- prefix from Vcs-* control fields.
* libxv1 and libxv1-dbg don't need a dependency on x11-common.
* Use ${binary:Version} instead of the deprecated ${Source-Version}.
2007-04-12 - Julien Cristau <jcristau@debian.org>
libxv (1:1.0.3-1) unstable; urgency=low
* New upstream release.
* Drop obsolete CVS information from package descriptions and add
XS-Vcs-*.
* Install the upstream changelog.
* Put binary packages in the correct sections.
* Remove Fabio from Uploaders, with his permission.

See Also

Package Description
libxvmc-dev_1.0.10-1_amd64.deb X11 Video extension library (development headers)
libxvmc1_1.0.10-1_amd64.deb X11 Video extension library
libxxf86dga-dev_1.1.4-1_amd64.deb X11 Direct Graphics Access extension library (development headers)
libxxf86dga1_1.1.4-1_amd64.deb X11 Direct Graphics Access extension library
libxxf86vm-dev_1.1.4-1_amd64.deb X11 XFree86 video mode extension library (development headers)
libxxf86vm1_1.1.4-1_amd64.deb X11 XFree86 video mode extension library
libyajl-dev_2.1.0-2build1_amd64.deb Yet Another JSON Library - development files
libyajl-doc_2.1.0-2build1_all.deb Yet Another JSON Library - library documentation
libyajl2_2.1.0-2build1_amd64.deb Yet Another JSON Library
libyaml-0-2_0.1.7-2ubuntu3_amd64.deb Fast YAML 1.1 parser and emitter library
libyaml-dev_0.1.7-2ubuntu3_amd64.deb Fast YAML 1.1 parser and emitter library (development)
libyaml-doc_0.1.7-2ubuntu3_all.deb Fast YAML 1.1 parser and emitter library (documentation)
libyaml-libyaml-perl_0.69+repack-1_amd64.deb Perl interface to libyaml, a YAML implementation
libyaml-perl_1.24-1_all.deb YAML Ain't Markup Language
libyaml-tiny-perl_1.70-1_all.deb Perl module for reading and writing YAML files
Advertisement
Advertisement